/***************************************************************************
 **
 **  Copyright (C) 2023 wangjianjun <wangjianjun1018@qq.com>
 **  Contact: https://blog.csdn.net/wocanimei007?type=blog
 **
 **
****************************************************************************/
#ifndef FANCYRIBBONPAGE_H
#define FANCYRIBBONPAGE_H

#include <QWidget>
#include "frameless_global.h"

class QLabel;



class FancyRibbonGroup;
class FancyRibbonPagePrivate;

class FRAMELESS_SHARED_EXPORT FancyRibbonPage : public QWidget
{
    Q_OBJECT
public:
    explicit FancyRibbonPage(QWidget *parent = nullptr);
    ~FancyRibbonPage();

public:
    void addGroup(FancyRibbonGroup *group);
    FancyRibbonGroup *addGroup(const QString &title);

    void insertGroup(int index, FancyRibbonGroup *group);
    FancyRibbonGroup *insertGroup(int index, const QString &title);

    void removeGroup(FancyRibbonGroup *group);
    void removeGroup(int index);

    void clearGroups();

    QString title() const;

    void setBackgroundColor(const QColor &color);

public slots:
    void setTitle(const QString &title);

private:
    FancyRibbonPagePrivate *d;
};



#endif // FANCYRIBBONPAGE_H
